
/*

A Demo program for LTC1298 12 Bit ADC

By TJ Johnson

4/6/09

Valid Channels are 0 and 1.

Wireing for LTC1298 
Pin 1 - CS
Pin 2 - CH0 input
Pin 3 - CH1 input
Pin 4 - GND

Pin 5 - Data
Pin 6 - Data
Pin 7 - Clk
Pin 8 - Vcc
Pins 5 and 6 connected together.
WARNING : A 1k resitor must be placed between the prop and pins 5 & 6.
Using ltc1298Header.h

Outputs the current values to the terminal at baud 57600. 

*/


#include <stdio.h>
#include <stdarg.h>
#include <asio.h>
#include <propeller.h>
#include "ltc1298Header.h"

// Pin definitions to be used
const int LTC1298_CS_PIN = 0;
const int LTC1298_CLK_PIN = 1;
const int LTC1298_DATA_PIN = 2;

main()
	{
	int channel0, channel1; //Place for value of ch0 and ch1
    asio_init(57600); // Start the terminal
	// Call setupLTC1298 to give the header the correct pin info.
    setupLTC1298 (LTC1298_CS_PIN, LTC1298_CLK_PIN, LTC1298_DATA_PIN);
	while (1) //Forever loop
	{
	 putchar(0);
	 puts("Welcome to the LTC1298 Demo"); // Print welcome msg
     channel0 = ltc1298GetAdcVal(0); // Get the ch0 channel
	 printf("Channel 0 is %d %c, %c" , channel0, '\n', '\r');
	 channel1 = ltc1298GetAdcVal(1); // Get the ch0 channel
	 printf("Channel 1 is %d %c, %c",channel1, '\n', '\r' );
	 wait((80000000/5)); // Wait 1/5 of a second.
 	}


return 0;	
    }
	
	
	  /*
+------------------------------------------------------------------------------------------------------------------------------+
                                                   TERMS OF USE: MIT License                                                                                                              
+------------------------------------------------------------------------------------------------------------------------------
Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation     
files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,    
modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software
is furnished to do so, subject to the following conditions:                                                                   
                                                                                                                              
The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
                                                                                                                              
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE          
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR         
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,   
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.                         
+------------------------------------------------------------------------------------------------------------------------------+
*/